Package org.jfree.report.data

# Class ReportContextImpl

java.lang.Object
org.jfree.report.data.ReportContextImpl

All Implemented Interfaces:
  `ReportContext`

public class ReportContextImpl extends Object implements ReportContext
Creation-Date: 20.11.2006, 12:19:34

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`ReportContextImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAttribute(Object key)`
`String`
`getExportDescriptor()`
`org.pentaho.reporting.libraries.formula.FormulaContext`
`getFormulaContext()`
`LayoutControllerFactory`
`getLayoutControllerFactory()`
`ReportStructureRoot`
`getReportStructureRoot()`
`ResourceBundleFactory`
`getResourceBundleFactory()`
`boolean`
`isSystemAttribute(Object key)`
`void`
`setAttribute(Object key, Object value)`
`void`
`setExportDescriptor(String exportDescriptor)`
`void`
`setFormulaContext(org.pentaho.reporting.libraries.formula.FormulaContext formulaContext)`
`void`
`setLayoutControllerFactory(LayoutControllerFactory layoutControllerFactory)`
`void`
`setReportStructureRoot(ReportStructureRoot reportStructureRoot)`
`void`
`setResourceBundleFactory(ResourceBundleFactory resourceBundleFactory)`
`void`
`setSystemAttribute(Object key, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReportContextImpl

public ReportContextImpl()

## Method Details

### setReportStructureRoot

public void setReportStructureRoot(ReportStructureRoot reportStructureRoot)

### getReportStructureRoot

public ReportStructureRoot getReportStructureRoot()

Specified by:
  `getReportStructureRoot` in interface `ReportContext`

### getExportDescriptor

public String getExportDescriptor()

Specified by:
  `getExportDescriptor` in interface `ReportContext`

### setExportDescriptor

public void setExportDescriptor(String exportDescriptor)

### getFormulaContext

public org.pentaho.reporting.libraries.formula.FormulaContext getFormulaContext()

Specified by:
  `getFormulaContext` in interface `ReportContext`

### setFormulaContext

public void setFormulaContext(org.pentaho.reporting.libraries.formula.FormulaContext formulaContext)

### getLayoutControllerFactory

public LayoutControllerFactory getLayoutControllerFactory()

Specified by:
  `getLayoutControllerFactory` in interface `ReportContext`

### setLayoutControllerFactory

public void setLayoutControllerFactory(LayoutControllerFactory layoutControllerFactory)

### setAttribute

public void setAttribute(Object key, Object value)

Specified by:
  `setAttribute` in interface `ReportContext`

### setSystemAttribute

public void setSystemAttribute(Object key, Object value)

### getAttribute

public Object getAttribute(Object key)

Specified by:
  `getAttribute` in interface `ReportContext`

### isSystemAttribute

public boolean isSystemAttribute(Object key)

### getResourceBundleFactory

public ResourceBundleFactory getResourceBundleFactory()

Specified by:
  `getResourceBundleFactory` in interface `ReportContext`

### setResourceBundleFactory

public void setResourceBundleFactory(ResourceBundleFactory resourceBundleFactory)